[Qa-jenkins-scm] [jenkins.debian.net] 01/01: reproducible archlinux: how deep is the rabbit hole
Holger Levsen
holger at moszumanska.debian.org
Mon Dec 21 20:12:01 UTC 2015
This is an automated email from the git hooks/post-receive script.
holger pushed a commit to branch master
in repository jenkins.debian.net.
commit b7a3326373ecab775cbdab9e350bd58098393a8e
Author: Holger Levsen <holger at layer-acht.org>
Date: Mon Dec 21 21:11:37 2015 +0100
reproducible archlinux: how deep is the rabbit hole
---
bin/reproducible_build_archlinux_pkg.sh | 9 +++++++--
1 file changed, 7 insertions(+), 2 deletions(-)
diff --git a/bin/reproducible_build_archlinux_pkg.sh b/bin/reproducible_build_archlinux_pkg.sh
index 3af8b09..0b2a430 100755
--- a/bin/reproducible_build_archlinux_pkg.sh
+++ b/bin/reproducible_build_archlinux_pkg.sh
@@ -157,6 +157,8 @@ first_build() {
else
# fail with notification
exit 23
+ else
+ exit $P3RESULT
fi
fi
fi
@@ -237,9 +239,12 @@ remote_build() {
echo "$(date -u) - remote job could not end schroot session properly and sent error 23 so we could abort silently."
exec /srv/jenkins/bin/abort.sh
elif [ $RESULT -eq 42 ] ; then
- echo "$($date -u) - sigh, we know this problem and need to debug it and end the session cleanly. Failing loudly now so we can see this used to indeed silence things… (but we'll get noise from the other failures enabled in this commit…" # FIXME
- exit 1
+ echo "$($date -u) - sigh, failure after not being able to verify pgp signatures. work to debug why ahead."
+ exec /srv/jenkins/bin/abort.sh
else
+ echo "$(date -u) - a new type of failure we dont know about yet. how exciting this might become…"
+ exit 1
+ # FIXME: atm this is never reached…
handle_remote_error "with exit code $RESULT from $NODE for build #$BUILDNR for ${SRCPACKAGE} from $REPOSITORY"
fi
fi
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/qa/jenkins.debian.net.git
More information about the Qa-jenkins-scm
mailing list